package com.ym.mec.biz.dal.dao;

import java.util.List;
import java.util.Map;

import com.ym.mec.biz.dal.dto.ImGroupNoticeDto;
import com.ym.mec.biz.dal.entity.ImGroupNotice;
import com.ym.mec.common.dal.BaseDAO;

public interface ImGroupNoticeDao extends BaseDAO<Long, ImGroupNotice> {

	/**
	 * 查询最新的群公告
	 * @param imGroupId
	 * @return
	 */
	ImGroupNoticeDto queryLatestNotice(Long imGroupId);
	
	List<ImGroupNoticeDto> queryForPage(Map<String, Object> params);
	
	int deleteByImGroupId(Long imGroupId);
}